#include<bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	long int N, M, a = 0;
	
	cin >> N >> M;
	
	vector<long int> ucenici(N);
	vector<int> parovix(M);
	vector<int> paroviy(M);
	vector<int> prijatelji(N);
	vector<int> neprijatelji(N);
	
	for (int i = 0; i < N; i++)
	{
		cin >> ucenici[i];
	}
	for (int i = 0; i < M; i++)
	{
		cin >> parovix[i] >> paroviy[i];
		parovix[i]--;
		paroviy[i]--;
	}
	for (int i = 0; i < N; i++)
	{
		prijatelji[i] = 0;
		neprijatelji[i] = 0;
	}
	for (int i = 0; i < M; i++)
	{
		if(ucenici[parovix[i]] + ucenici[paroviy[i]] >= 0){
			prijatelji[parovix[i]] += 1;
			prijatelji[paroviy[i]] += 1;
		}
		else{
			neprijatelji[parovix[i]] += 1;
			neprijatelji[paroviy[i]] += 1;
		}
	}
	for (int i = 0; i < N; i++)
	{
		a += ucenici[i] * (prijatelji[i] - neprijatelji[i]);
	}
	cout << a;
	
	return 0;
}